Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.draw
Enum OdfEscapeDirectionType

    java.lang.Object
      java.lang.Enum<OdfEscapeDirectionType>
          org.odftoolkit.odfdom.dom.type.draw.OdfEscapeDirectionType

All Implemented Interfaces:
  Serializable, Comparable<OdfEscapeDirectionType>

    public enum OdfEscapeDirectionType

extends Enum<OdfEscapeDirectionType>

DOM implementation of OpenDocument attribute draw:escape-direction.

Enum Constant Summary
`AUTO`
`DOWN`
`HORIZONTAL`
`LEFT`
`RIGHT`
`UP`
`VERTICAL`

Method Summary
`static OdfEscapeDirectionType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfEscapeDirectionType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfEscapeDirectionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfEscapeDirectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UP

    public static final OdfEscapeDirectionType UP

### RIGHT

    public static final OdfEscapeDirectionType RIGHT

### DOWN

    public static final OdfEscapeDirectionType DOWN

### LEFT

    public static final OdfEscapeDirectionType LEFT

### AUTO

    public static final OdfEscapeDirectionType AUTO

### HORIZONTAL

    public static final OdfEscapeDirectionType HORIZONTAL

### VERTICAL

    public static final OdfEscapeDirectionType VERTICAL

Method Detail

### values

    public static OdfEscapeDirectionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfEscapeDirectionType c : OdfEscapeDirectionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfEscapeDirectionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfEscapeDirectionType>`
  Returns:
    return the name of OdfEscapeDirectionType

### toString

    public static String toString(OdfEscapeDirectionType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfEscapeDirectionType, see draw:escape-direction
  Returns:
    return the name of OdfEscapeDirectionType

### enumValueOf

    public static OdfEscapeDirectionType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfEscapeDirectionType
  Returns:
    return the constant of OdfEscapeDirectionType, see draw:escape-direction

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.